#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	File
%define		pnam	Which
Summary:	File::Which Perl module - portable implementation of the `which' utility
Summary(pl.UTF-8):	Moduł Perla File::Which - przenośna implementacja programu `which'
Name:		perl-File-Which
Version:	1.27
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/File/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d5c9154262b93398f0750ec364207639
URL:		https://metacpan.org/release/File-Which
BuildRequires:	perl-devel >= 1:5.8.1
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
BuildRequires:	perl(File::Spec) >= 0.60
BuildRequires:	perl-Test-Simple >= 0.94
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File::Which Perl module was created to be able to get the paths to
executable programs on systems under which the `which' program wasn't
implemented in the shell.

%description -l pl.UTF-8
Moduł Perla File::Which powstał, aby umożliwić znajdowanie ścieżki
zadanego programu w systemach, w których program `which' nie jest
dostępny z powłoki.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/File/Which.pm
%{_mandir}/man3/File::Which.3pm*
%changelog
* Tue May 18 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-File-Which.git;a=log;h=master

* Mon May 17 2021 Jakub Bogusz <qboosh@pld-linux.org> bb92ad4
- updated to 1.27

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> ab5c243
- drop obsolete and outdated manual inclusion of rpm macros

* Thu Feb 21 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 9adb5bc
- up to 1.23

* Wed Sep 20 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> b2d2cbe
- up to 1.22

* Fri Jun 19 2015 Jakub Bogusz <qboosh@pld-linux.org> b82fdcf
- updated BRs

* Sun Jun 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> cb7f8aa
- up to 1.18

* Sun Mar 06 2011 Jakub Bogusz <qboosh@pld-linux.org> 6092f50
- updated test BRs

* Tue Oct 20 2009 amateja <amateja@pld-linux.org> a2db828
- updated to 1.09

* Mon Sep 14 2009 amateja <amateja@pld-linux.org> d2d9427
- updated to 1.07
- added BR perl-Test-Simple >= 0.80

* Fri Jan 11 2008 Maciej Pijanka <agaran@pld-linux.org> f5ecf5a
- fixed perms on %{_bindir}/pwhich (was 644), rel 5

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> ebed96e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 7a53d11
- converted to UTF-8

* Fri Dec 22 2006 Jakub Bogusz <qboosh@pld-linux.org> 1905b4c
- generic URL

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 3b336b3
- formatting

* Sun Oct 24 2004 paladine <paladine@pld-linux.org> 0a965f1
- spelling fix

* Fri May 07 2004 ankry <ankry@pld-linux.org> 9e7a472
- rel. 4

* Thu May 06 2004 ankry <ankry@pld-linux.org> ed0f939
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> 6530996
- rel. 3 for Ac

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> e4ddc42
- license fixes / unification

* Tue Apr 13 2004 Adam Gołębiowski <adamg@pld-linux.org> 4002457
- new style bconds

